org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class TreeTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.TreeTest

- Direct Known Subclasses:
    TreeTest.Traversals

      public abstract class TreeTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TreeTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_out_out_out_tree()`
    `void` | `g_V_out_out_tree_byXidX()`
    `void` | `g_V_out_out_tree()`
    `void` | `g_V_out_out_treeXaX_byXidX_capXaX()`
    `void` | `g_V_out_out_treeXaX_capXaX()`
    `void` | `g_VX1X_out_out_tree_byXnameX()`
    `void` | `g_VX1X_out_out_treeXaX_byXnameX_both_both_capXaX()`
    `abstract Traversal<Vertex,Tree>` | `get_g_V_out_out_out_tree()`
    `abstract Traversal<Vertex,Tree>` | `get_g_V_out_out_tree_byXidX()`
    `abstract Traversal<Vertex,Tree>` | `get_g_V_out_out_tree()`
    `abstract Traversal<Vertex,Tree>` | `get_g_V_out_out_treeXaX_byXidX_capXaX()`
    `abstract Traversal<Vertex,Tree>` | `get_g_V_out_out_treeXaX_capXaX()`
    `abstract Traversal<Vertex,Tree>` | `get_g_VX1X_out_out_tree_byXnameX(Object v1Id)`
    `abstract Traversal<Vertex,Tree>` | `get_g_VX1X_out_out_treeXaX_byXnameX_both_both_capXaX(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeTest

          public TreeTest()

  - ### Method Detail

    - #### get_g_V_out_out_tree_byXidX

          public abstract Traversal<Vertex,Tree> get_g_V_out_out_tree_byXidX()

    - #### get_g_V_out_out_treeXaX_byXidX_capXaX

          public abstract Traversal<Vertex,Tree> get_g_V_out_out_treeXaX_byXidX_capXaX()

    - #### get_g_V_out_out_tree

          public abstract Traversal<Vertex,Tree> get_g_V_out_out_tree()

    - #### get_g_V_out_out_treeXaX_capXaX

          public abstract Traversal<Vertex,Tree> get_g_V_out_out_treeXaX_capXaX()

    - #### get_g_VX1X_out_out_tree_byXnameX

          public abstract Traversal<Vertex,Tree> get_g_VX1X_out_out_tree_byXnameX(Object v1Id)

    - #### get_g_VX1X_out_out_treeXaX_byXnameX_both_both_capXaX

          public abstract Traversal<Vertex,Tree> get_g_VX1X_out_out_treeXaX_byXnameX_both_both_capXaX(Object v1Id)

    - #### get_g_V_out_out_out_tree

          public abstract Traversal<Vertex,Tree> get_g_V_out_out_out_tree()

    - #### g_VX1X_out_out_tree_byXnameX

          public void g_VX1X_out_out_tree_byXnameX()

    - #### g_VX1X_out_out_treeXaX_byXnameX_both_both_capXaX

          public void g_VX1X_out_out_treeXaX_byXnameX_both_both_capXaX()

    - #### g_V_out_out_tree_byXidX

          public void g_V_out_out_tree_byXidX()

    - #### g_V_out_out_treeXaX_byXidX_capXaX

          public void g_V_out_out_treeXaX_byXidX_capXaX()

    - #### g_V_out_out_tree

          public void g_V_out_out_tree()

    - #### g_V_out_out_treeXaX_capXaX

          public void g_V_out_out_treeXaX_capXaX()

    - #### g_V_out_out_out_tree

          public void g_V_out_out_out_tree()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.